from functools import wraps
import sims4.resources
from sims4.tuning.instance_manager import InstanceManager
from sims4.resources import Types
import services

def inject(target_function, new_function):
    @wraps(target_function)
    def _inject(*args, **kwargs):
        return new_function(target_function, *args, **kwargs)
    return _inject

def inject_to(target_object, target_function_name):
    def _inject_to(new_function):
        target_function = getattr(target_object, target_function_name)
        setattr(target_object, target_function_name, inject(target_function, new_function))
        return new_function
    return _inject_to

MaïaGame_WoohoonoRomance_24508_SnippetId = 24508
MaïaGame_WoohoonoRomance_24508_MixerId = (12939579321804991589,14938522221969305517,14938522221969305516,14938522221969305515,14938522221969305514,14938522221969305513,14938522221969305512,14938522221969305511,14938522221969305510,)
@inject_to(InstanceManager, 'load_data_into_class_instances')
def MaïaGame_WoohoonoRomance_AddMixer_24508(original, self):
    original(self)
    if self.TYPE == Types.SNIPPET:
        key = sims4.resources.get_resource_key(MaïaGame_WoohoonoRomance_24508_SnippetId, Types.SNIPPET)
        snippet_tuning = self._tuned_classes.get(key)
        if snippet_tuning is None:
            return
        for m_id in MaïaGame_WoohoonoRomance_24508_MixerId:
            affordance_manager = services.affordance_manager()
            key = sims4.resources.get_resource_key(m_id, Types.INTERACTION)
            mixer_tuning = affordance_manager.get(key)
            if mixer_tuning is None:
                return
            if mixer_tuning in snippet_tuning.value:
                return
            snippet_tuning.value = snippet_tuning.value + (mixer_tuning, )
MaïaGame_WoohoonoRomance_163702_SnippetId = 163702
MaïaGame_WoohoonoRomance_163702_MixerId = (12939579321804991589,14938522221969305517,14938522221969305516,14938522221969305515,14938522221969305514,14938522221969305513,14938522221969305512,14938522221969305511,14938522221969305510,)
@inject_to(InstanceManager, 'load_data_into_class_instances')
def MaïaGame_WoohoonoRomance_AddMixer_163702(original, self):
    original(self)
    if self.TYPE == Types.SNIPPET:
        key = sims4.resources.get_resource_key(MaïaGame_WoohoonoRomance_163702_SnippetId, Types.SNIPPET)
        snippet_tuning = self._tuned_classes.get(key)
        if snippet_tuning is None:
            return
        for m_id in MaïaGame_WoohoonoRomance_163702_MixerId:
            affordance_manager = services.affordance_manager()
            key = sims4.resources.get_resource_key(m_id, Types.INTERACTION)
            mixer_tuning = affordance_manager.get(key)
            if mixer_tuning is None:
                return
            if mixer_tuning in snippet_tuning.value:
                return
            snippet_tuning.value = snippet_tuning.value + (mixer_tuning, )
MaïaGame_WoohoonoRomance_24511_SnippetId = 24511
MaïaGame_WoohoonoRomance_24511_MixerId = (9790488854827091098,)
@inject_to(InstanceManager, 'load_data_into_class_instances')
def MaïaGame_WoohoonoRomance_AddMixer_24511(original, self):
    original(self)
    if self.TYPE == Types.SNIPPET:
        key = sims4.resources.get_resource_key(MaïaGame_WoohoonoRomance_24511_SnippetId, Types.SNIPPET)
        snippet_tuning = self._tuned_classes.get(key)
        if snippet_tuning is None:
            return
        for m_id in MaïaGame_WoohoonoRomance_24511_MixerId:
            affordance_manager = services.affordance_manager()
            key = sims4.resources.get_resource_key(m_id, Types.INTERACTION)
            mixer_tuning = affordance_manager.get(key)
            if mixer_tuning is None:
                return
            if mixer_tuning in snippet_tuning.value:
                return
            snippet_tuning.value = snippet_tuning.value + (mixer_tuning, )
MaïaGame_WoohoonoRomance_163706_SnippetId = 163706
MaïaGame_WoohoonoRomance_163706_MixerId = (9790488854827091098,)
@inject_to(InstanceManager, 'load_data_into_class_instances')
def MaïaGame_WoohoonoRomance_AddMixer_163706(original, self):
    original(self)
    if self.TYPE == Types.SNIPPET:
        key = sims4.resources.get_resource_key(MaïaGame_WoohoonoRomance_163706_SnippetId, Types.SNIPPET)
        snippet_tuning = self._tuned_classes.get(key)
        if snippet_tuning is None:
            return
        for m_id in MaïaGame_WoohoonoRomance_163706_MixerId:
            affordance_manager = services.affordance_manager()
            key = sims4.resources.get_resource_key(m_id, Types.INTERACTION)
            mixer_tuning = affordance_manager.get(key)
            if mixer_tuning is None:
                return
            if mixer_tuning in snippet_tuning.value:
                return
            snippet_tuning.value = snippet_tuning.value + (mixer_tuning, )

